Bug 1279102 - [abrt] atril: _cairo_surface_is_image(): atril-thumbnailer killed by SIGSEGV
[abrt] atril: _cairo_surface_is_image(): atril-thumbnailer killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:59031d81688f47e21c668562e9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 17:07 EST by Davide Repetto
Modified: 2016-12-20 10:30 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.27 KB, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: cgroup (284 bytes, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: core_backtrace (7.68 KB, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: dso_list (6.57 KB, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: environ (2.48 KB, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-07 17:07 EST, Davide Repetto
no flags Details
File: maps (31.18 KB, text/plain)
2015-11-07 17:08 EST, Davide Repetto
no flags Details
File: mountinfo (5.48 KB, text/plain)
2015-11-07 17:08 EST, Davide Repetto
no flags Details
File: open_fds (485 bytes, text/plain)
2015-11-07 17:08 EST, Davide Repetto
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-07 17:08 EST, Davide Repetto
no flags Details

  None (edit)
Description Davide Repetto 2015-11-07 17:07:33 EST
Description of problem:
Seems like a random crash while browsing a PDF file.
The same PDF opened again did not cause the crash.

Version-Release number of selected component:
atril-1.10.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        atril-thumbnailer -s 128 file:///home/davide/Scaricati/1621452204Things100.epub /tmp/.mate_desktop_thumbnail.QEQM7X
crash_function: _cairo_surface_is_image
executable:     /usr/bin/atril-thumbnailer
global_pid:     14391
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 _cairo_surface_is_image at cairo-image-surface-inline.h:77
 #1 INT_cairo_image_surface_get_width at cairo-image-surface.c:613
 #2 ev_document_misc_surface_rotate_and_scale at ev-document-misc.c:301
 #3 epub_document_thumbnails_get_thumbnail at epub-document.c:128
 #4 atril_thumbnail_pngenc_get at atril-thumbnailer.c:180

Potential duplicate: bug 1227938
Comment 1 Davide Repetto 2015-11-07 17:07:43 EST
Created attachment 1091101 [details]
File: backtrace
Comment 2 Davide Repetto 2015-11-07 17:07:46 EST
Created attachment 1091102 [details]
File: cgroup
Comment 3 Davide Repetto 2015-11-07 17:07:49 EST
Created attachment 1091103 [details]
File: core_backtrace
Comment 4 Davide Repetto 2015-11-07 17:07:52 EST
Created attachment 1091104 [details]
File: dso_list
Comment 5 Davide Repetto 2015-11-07 17:07:55 EST
Created attachment 1091105 [details]
File: environ
Comment 6 Davide Repetto 2015-11-07 17:07:57 EST
Created attachment 1091106 [details]
File: exploitable
Comment 7 Davide Repetto 2015-11-07 17:07:59 EST
Created attachment 1091107 [details]
File: limits
Comment 8 Davide Repetto 2015-11-07 17:08:04 EST
Created attachment 1091108 [details]
File: maps
Comment 9 Davide Repetto 2015-11-07 17:08:07 EST
Created attachment 1091109 [details]
File: mountinfo
Comment 10 Davide Repetto 2015-11-07 17:08:10 EST
Created attachment 1091110 [details]
File: open_fds
Comment 11 Davide Repetto 2015-11-07 17:08:13 EST
Created attachment 1091111 [details]
File: proc_pid_status
Comment 12 Wolfgang Ulbrich 2016-05-24 11:29:48 EDT
upstream report
https://github.com/mate-desktop/atril/issues/187
Comment 13 Fedora End Of Life 2016-11-24 08:10:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 10:30:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.